Members did not show up in second search if the first search found no results

Bug #993676 reported by Son Nguyen on 2012-05-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Son Nguyen
1.8
Medium
Unassigned
1.9
Medium
Son Nguyen

Bug Description

Version: master
Browser: Chromium

Assumption
 + logged user is member of one or several groups

Actions
 1. Open a group from My groups
 2. Search member of this group with a keyword so that no member is found
 3. Search member again with another keyword so that more than one member are found

Results
 - Empty list of members with number of results is not 0 (see attached file)
 - The list of member won't be displayed till I refresh the page.

Expected results
 - List of members.

Son Nguyen (ngson2000) wrote :

Could this be because you have exact search turned on?

Changed in mahara:
status: New → Incomplete
importance: Undecided → Low
tags: added: search
Son Nguyen (ngson2000) wrote :

Hi Kristina;

As you can see from the attached picture. It shows there is 1 result but no info about the member.

Son Nguyen (ngson2000) wrote :

I did try with and without exact search, but the bug is still there.

Launchpad Janitor (janitor) wrote :

[Expired for Mahara because there has been no activity for 60 days.]

Changed in mahara:
status: Incomplete → Expired
Son Nguyen (ngson2000) on 2012-07-31
Changed in mahara:
status: Expired → Triaged
importance: Low → Medium
Son Nguyen (ngson2000) on 2012-09-07
description: updated
Son Nguyen (ngson2000) wrote :

This bug happened on Chromium!

description: updated
Son Nguyen (ngson2000) on 2012-09-23
Changed in mahara:
milestone: none → 1.7.0
Son Nguyen (ngson2000) wrote :

https://reviews.mahara.org/1832

This bug only affects IE, Chrome and Konqueror

Changed in mahara:
assignee: nobody → Son Nguyen (ngson2000)
status: Triaged → In Progress
Aaron Wells (u-aaronw) on 2013-04-19
Changed in mahara:
milestone: 1.7.0 → 1.8.0

Reviewed: https://reviews.mahara.org/1832
Committed: http://gitorious.org/mahara/mahara/commit/40fc4950131439b20f900d939856bc4abca018c3
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 40fc4950131439b20f900d939856bc4abca018c3
Author: Son Nguyen <email address hidden>
Date: Fri Jun 21 18:15:32 2013 +1200

fix the writing Div's innerHTML Bug #993676

Signed-off-by: Robert Lyon <email address hidden>
Change-Id: Icfd425e0487c3db768f47d1e2e4b18dfc5acd159

Robert Lyon (robertl-9) on 2013-06-21
Changed in mahara:
status: In Progress → Fix Committed
Aaron Wells (u-aaronw) on 2013-09-30
Changed in mahara:
milestone: 1.8rc1 → 1.8.0
Aaron Wells (u-aaronw) on 2013-10-24
Changed in mahara:
status: Fix Committed → Fix Released
Steven (stevens-q) wrote :

=== Bug #993676 Members did not show up in second search if the first search found no results ===

=== Prerequisites ===
as admin create a group (group 1) and populate group with members and admins
(cherri pitts - member of group)
(cherri Carstens - member of group)
(Fiona - not a member of group)
(chandra - admin of group)

=== How to test ===

== Part 1 ==
1. log in as admin(owner of Group) and open group 1 (multiple members in group)
2. search for Fiona
3. confirm that no results are found
4. search for cherri
5. confirm that 2 results are returned

== Part 2 ==
1. log in as chandra (admin of group)
2. search for Fiona
3. confirm that no results are found
4. search for cherri
5. confirm that 2 result are returned

== Part 2 ==
1. log in as cherri (member of group)
2. search for Fiona
3. confirm that no results are found
4. search for chandra
5. confirm that 2 results are returned

=== Test Results ===

== Part 1 ==
3. confirmed that no results are found ✔
5. confirmed that 2 results are returned ✔

== Part 2 ==
3. confirmed that no results are found ✔
5. confirmed that 2 results are returned ✔

== Part 3 ==
3. confirmed that no results are found ✔
5. confirmed that 2 results are returned ✔

== Note ==
could not replicate this bug before adding the patch in chrome or firefox

Catalyst QA Approved ✔

Reviewed: https://reviews.mahara.org/2942
Committed: http://gitorious.org/mahara/mahara/commit/bec3fd2d5db5acaa6f63bc7c577321280251b25b
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.8_STABLE

commit bec3fd2d5db5acaa6f63bc7c577321280251b25b
Author: Aaron Wells <email address hidden>
Date: Tue Jan 21 14:16:33 2014 +1300

Revert "fix the writing Div's innerHTML Bug #993676"

This reverts commit 40fc4950131439b20f900d939856bc4abca018c3.

Bug 1270752: This patch broke the paginator for IE9 and earlier,
because the innerHTML of a table is read-only in those versions.
Additionally, testing in IE9, 10, FF, and Chromium, with this
patch reverted, I was unable to replicate the bug that it was
meant to fix, so it appears this patch is no longer needed.

Change-Id: I231bb536ff9e288bbe81f37f48041c2942556098

Reviewed: https://reviews.mahara.org/2962
Committed: http://gitorious.org/mahara/mahara/commit/bc9ef02da82dfbedaf40185db5e8af73243b61a8
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit bc9ef02da82dfbedaf40185db5e8af73243b61a8
Author: Aaron Wells <email address hidden>
Date: Tue Jan 21 14:16:33 2014 +1300

Revert "fix the writing Div's innerHTML Bug #993676"

This reverts commit 40fc4950131439b20f900d939856bc4abca018c3.

Bug 1270752: This patch broke the paginator for IE9 and earlier,
because the innerHTML of a table is read-only in those versions.
Additionally, testing in IE9, 10, FF, and Chromium, with this
patch reverted, I was unable to replicate the bug that it was
meant to fix, so it appears this patch is no longer needed.

Change-Id: I231bb536ff9e288bbe81f37f48041c2942556098

Robert Lyon (robertl-9) wrote :

Targeted the 1.8 patch to 1.8.3 as it hadn't been targeted to a milestone before

Changed in mahara:
status: Fix Committed → Fix Released
Aaron Wells (u-aaronw) wrote :

I'm going to remove the 1.8.3 milestone so that this doesn't confuse us by showing up on the list when we're doing the 1.8.3 release planning.

For clarification, this was release in 1.8.2.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers